<template>
  <div>
    <el-dialog
        title="根据内部卷号获取报告信息"
        :visible.sync="visible"
        width="400px"
        append-to-body
        :close-on-click-modal="false"
        :modal="false"
        :before-close="close">
        <div>
            <el-input v-model="number" placeholder="请输入内部卷号"></el-input>
        </div>
        <span slot="footer" class="dialog-footer">
            <el-button @click="close">取 消</el-button>
            <el-button type="primary" @click="submit">确 定</el-button>
        </span>
    </el-dialog>
  </div>
</template>

<script>
export default {
  components: {},
  props: {},
  data() {
    return {
        visible:false,
        number:''
    };
  },
  watch: {},
  computed: {},
  created() {},
  mounted() {},
  methods: {
    open(){
        this.visible = true
    },
    close(){
        this.number = ''
        this.visible = false
    },
    submit(){
        if(this.number.trim() == ''){
            this.$message.warning('请输入内部卷号！')
            return false
        }
        this.close()
    },
  },
};
</script>
<style lang="scss" scoped>
</style>